# Type

enum Type

Type of annotation processor.

#### Since

5.1

## Entries

ISOLATING
Link copied to clipboard
ISOLATING
AGGREGATING
Link copied to clipboard
AGGREGATING
UNKNOWN
Link copied to clipboard
UNKNOWN

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): JavaCompileTaskOperationResult.AnnotationProcessorResult.Type

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<JavaCompileTaskOperationResult.AnnotationProcessorResult.Type>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.